﻿$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://github.com/aandrew-me/ytDownloader/releases/download/v3.14.1/YTDownloader_Win.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  #file         = $fileLocation

  softwareName  = 'ytdownloader*'
  checksum      = 'c595fee23338c8d70a3dd9fdac64e27243f4c5e444fd4aa32524d2294fbcd3c2' #sha256
  checksumType  = 'sha256'

  # MSI
  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs
